cascading.stats.local

## Class LocalStepStats

- java.lang.Object
- - cascading.stats.CascadingStats<FlowNodeStats>
  - - cascading.stats.FlowStepStats
    - - cascading.stats.local.LocalStepStats

All Implemented Interfaces:
  ProvidesCounters, Serializable

    public class LocalStepStats
    extends FlowStepStats

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class cascading.stats.CascadingStats

`CascadingStats.Status, CascadingStats.Type`

### Field Summary

### Fields inherited from class cascading.stats.CascadingStats

`clientState, finishedTime, lastCaptureDetail, listeners, name, pendingTime, runTime, startTime, STATS_COMPLETE_CHILD_DETAILS_BLOCK_DURATION, STATS_STORE_INTERVAL, status, submitTime, throwable, throwableTrace`

### Constructor Summary

Constructors
Constructor and Description
`LocalStepStats(FlowStep<Properties> flowStep, ClientState clientState)` Constructor CascadingStats creates a new CascadingStats instance.

### Method Summary

Methods
`void` `captureDetail(CascadingStats.Type depth)`
`Collection` `getChildren()`
`Collection<String>` `getCounterGroups()`
`Collection<String>` `getCounterGroupsMatching(String regex)`
`Collection<String>` `getCountersFor(String group)`
`long` `getCounterValue(Enum counter)`
`long` `getCounterValue(String group, String counter)`
`long` `getLastSuccessfulCounterFetchTime()`
`String` `getProcessStepID()`
`void` `increment(Enum counter, long amount)`
`void` `increment(String group, String counter, long amount)`
`void` `recordChildStats()`

### Methods inherited from class cascading.stats.FlowStepStats

`addNodeStats, getChildWith, getFlowNodeIDs, getFlowNodeStats, getFlowNodeStatsMap, getFlowStep, getID, getNodesCount, getProcessLogger, getProcessStatusURL, getType, hasCapturedFinalDetail, recordInfo, toString`

### Methods inherited from class cascading.stats.CascadingStats

`addListener, captureDetail, cleanup, fireListeners, getCountersFor, getCurrentDuration, getDuration, getFinishedTime, getName, getPendingTime, getPrefix, getRunTime, getStartTime, getStatsString, getStatus, getSubmitTime, getThrowable, getThrowableTrace, isDetailStale, isEngaged, isFailed, isFinished, isPending, isRunning, isSkipped, isStarted, isStopped, isSubmitted, isSuccessful, logDebug, logError, logError, logInfo, logWarn, markDetailCaptured, markFailed, markFailed, markFailed, markFailed, markFinishedTime, markPending, markPendingTime, markRunning, markRunTime, markSkipped, markStarted, markStartedThenRunning, markStartTime, markStartToRunTime, markStopped, markSubmitted, markSubmitTime, markSuccessful, prepare, recordStats, removeListener, setStatsStoreInterval`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LocalStepStats

    public LocalStepStats(FlowStep<Properties> flowStep,
                  ClientState clientState)

Constructor CascadingStats creates a new CascadingStats instance.

### Method Detail

#### recordChildStats

    public void recordChildStats()

Specified by:
  `recordChildStats` in class `FlowStepStats`

#### getLastSuccessfulCounterFetchTime

    public long getLastSuccessfulCounterFetchTime()

#### getCounterGroups

    public Collection<String> getCounterGroups()

#### getCounterGroupsMatching

    public Collection<String> getCounterGroupsMatching(String regex)

Specified by:
  `getCounterGroupsMatching` in class `CascadingStats<FlowNodeStats>`

#### getCountersFor

    public Collection<String> getCountersFor(String group)

#### getCounterValue

    public long getCounterValue(Enum counter)

#### getCounterValue

    public long getCounterValue(String group,
                       String counter)

#### increment

    public void increment(Enum counter,
                 long amount)

#### increment

    public void increment(String group,
                 String counter,
                 long amount)

#### captureDetail

    public void captureDetail(CascadingStats.Type depth)

Specified by:
  `captureDetail` in class `CascadingStats<FlowNodeStats>`

#### getProcessStepID

    public String getProcessStepID()

Specified by:
  `getProcessStepID` in class `FlowStepStats`

#### getChildren

    public Collection getChildren()

Overrides:
  `getChildren` in class `FlowStepStats`